@import 'assets/styles/global';
@import 'assets/styles/common';
@import 'assets/styles/fonts';

html, body {
    margin: 0;
    background-color: #3b3b3b;
}

.tultul {
    overflow: hidden;
    display: grid;
    grid-gap: 25px;
    padding: 25px;
    height: calc(100vh - 50px);
    width: calc(100vw - 50px);
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: minmax(100px, auto);
    grid-auto-columns: 1fr;
    grid-auto-rows: 1fr;
    grid-template-areas:
        "lft lft ad  ad"
        "lft lft dir map";
    .grid-area-left {
        grid-area: lft;
        background: url('assets/images/home/search-bg.jpg') no-repeat center center;
        background-size: cover;
        border-color: none;
    }
    .grid-area-ad {
        grid-area: ad;
        @extend .tile-shadow;
    }
    .grid-area-search {
        grid-column: ad-start / ad-end;
        grid-row: ad-start / map-end;
    }
    .grid-area-dir, .grid-area-map {
        grid-column: lft-start / ad-end;
        grid-row: lft-start / map-end;
    }
    .grid-area-dir-btn {
        grid-area: dir;
        @extend .tile-shadow;
    }
    .grid-area-map-btn {
        grid-area: map;
        @extend .tile-shadow;
    }

    .quick-search__wrapper {
        padding: 20px;
        margin: 20px;
        background-color: rgba(#FFFFFF, 0.75);
    }
}